/*
	RemotingEvent.as
	Lee Felarca
	http://www.zeropointnine.com/blog
	1-2009
		
	Source code licensed under a Creative Commons Attribution 3.0 License.
	http://creativecommons.org/licenses/by/3.0/
	Some Rights Reserved.
*/

package leelib.remoting
{
	import flash.events.Event;

	public class RemotingEvent extends Event
	{
		public static const EVENT:String = "RemotingEvent.EVENT";

		public var result:String;
		public var description:String;
		public var object:Object;
		
		public function RemotingEvent($result:String, $description:String, $object:Object, bubbles:Boolean=false, cancelable:Boolean=false)
		{
			super(RemotingEvent.EVENT, bubbles, cancelable);
			
			result = $result;
			description = $description;
			object = $object;
		}
	}
}